QGIS Application - Bug report #6200
Label direction does not take scale-dependent average to determin line orientation
2012-08-15 03:40 PM - Robin Lovelace

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 15514
Description

This is a simple problem.

The new label interface in QGIS 1.9.0 is excellent and dynamic labelling capabilities impressive.

However, label orientation is not good for wiggly lines like rivers.

When zoomed out, the labels rarely follow the large-scale direction of the river.

Instead, the orientation seems to follow individual (small scale) segments, which leads to labels being 90 degrees rotated from their ideal
alignment.

See images and sample river label project (attached).

Perhaps solution could build on this [[bug]] fix:
https://issues.qgis.org/projects/quantum-gis/repository/revisions/b77d606744ec3721ba15366ff754fcbce0a265d7 .

History

#1 - 2012-08-15 11:48 PM - Martin Dobias
- Assignee deleted (Martin Dobias)

This would be most likely fixed with introduction of on-the-fly simplification in the labeling engine. The simplification would also help to resolve #2113.

#2 - 2012-08-16 09:19 AM - Giovanni Manghi
- OS version deleted (12.04 64 bit)
- Operating System deleted (Ubuntu)

#3 - 2014-06-28 07:42 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#4 - 2017-05-01 01:09 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
https://issues.qgis.org/projects/quantum-gis/repository/revisions/b77d606744ec3721ba15366ff754fcbce0a265d7

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

gis-projects.zip 517 KB 2012-08-15 Robin Lovelace
90-degrees-labels.jpeg 95.9 KB 2012-08-15 Robin Lovelace
compressed-river-labels.jpeg 41.4 KB 2012-08-15 Robin Lovelace
